#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

try:
    from setuptools import setup
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup

BASE_DIR = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(BASE_DIR, "README.md"), "r", encoding="utf-8") as f:
    LONG_DESCRIPTION = f.read()

with open(os.path.join(BASE_DIR, "requirements.txt"), "r", encoding="utf-8") as f:
    REQUIREMENTS = f.readlines()

setup(
    name="django-faker-again",
    version="0.1.0a1",  # see https://www.python.org/dev/peps/pep-0440/#id25
    description="This is yet another Faker supporting library for Django.",
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    author="Eray Erdin",
    author_email="eraygezer.94@gmail.com",
    python_requires=">=3.4.0",
    url="http://github.com/erayerdin/django-faker-again",
    py_modules=["faker_again"],
    install_requires=REQUIREMENTS,
    tests_require=["nose", "coverage"],
    test_suite="tests.runtests.start",
    include_package_data=True,
    license="Apache Software License",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Framework :: Django",
        "Framework :: Django :: 1.10",
        "Framework :: Django :: 1.11",
        "Framework :: Django :: 2.0",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3 :: Only",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Software Development :: Testing"
    ],
    # zip_safe=False
)
